import { _InternalVehicleServicesNotification } from "../domain/_InternalVehicleServicesNotification";
import { LayerPointData, LayerShapeData } from "../domain/LayerData";
import { RawRakelAction } from "../domain/RawRakelAction";
declare const isRunningInVehicleServices: boolean;
/**
 *
 * This is a helper method which triggers the 'triggerAndroid' method.
 * This method allows you to pass serializable data to the arguments whereas triggerAndroid only accepts primitives.
 * @ignore
 * @param insideVs boolean for if you are in VehicleServices or not
 */
declare const androidNativeHelpers: (insideVs: boolean) => {
    sendNotification: (notification: _InternalVehicleServicesNotification) => void;
    apiReady: () => void;
    setItem: (key: string, value: string) => void;
    getItem: (key: string) => any;
    deleteItem: (key: string) => void;
    clearItems: () => void;
    setHospital: (id: number) => void;
    setPriority: (id: number) => void;
    setNavLayerPoint: (id: string, layerData: LayerPointData[]) => void;
    setNavLayerShape: (id: string, layerData: LayerShapeData[]) => void;
    deleteNavLayer: (id: string) => void;
    sendRawRakelAction: (rawRakelAction: RawRakelAction) => void;
};
export { androidNativeHelpers, isRunningInVehicleServices };
