"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamTab = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Tab_1 = __importDefault(require("@mui/material/Tab"));
function a11yProps(index) {
    return {
        id: `simple-tab-${index}`,
        'aria-controls': `simple-tabpanel-${index}`
    };
}
/**
 * Tab component inside the EvamTabs component
 * @param props Component props
 */
function EvamTab(props) {
    const { icon, label, index, ...other } = props;
    return ((0, jsx_runtime_1.jsx)(Tab_1.default, { sx: { textTransform: "none", color: "text.secondary",
            height: 96, minWidth: 156, fontSize: 24
        }, centerRipple: true, icon: icon, label: label, ...other, ...a11yProps(index) }));
}
exports.EvamTab = EvamTab;
//# sourceMappingURL=EvamTab.js.map