"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamTabSearch = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const material_1 = require("@mui/material");
const icons_material_1 = require("@mui/icons-material");
const react_router_dom_1 = require("react-router-dom");
/**
 * Evam Search component, this component can be used as an Extra Function for
 * the EvamAppBarLayout to show a search function
 * @param props component props
 * @constructor
 */
function EvamTabSearch(props) {
    const { children, ...other } = props;
    const navigate = (0, react_router_dom_1.useNavigate)();
    const { search } = (0, react_router_dom_1.useLocation)();
    return ((0, jsx_runtime_1.jsx)(material_1.Button, { ...other, onClick: () => {
            navigate("/search" + search);
        }, children: (0, jsx_runtime_1.jsx)(material_1.Grid, { padding: "1px", container: true, spacing: 0, height: 96, width: 96, direction: "column", alignItems: "center", justifyContent: "center", children: (0, jsx_runtime_1.jsx)(icons_material_1.Search, { sx: { color: 'white', height: 96 }, fontSize: "large" }) }) }));
}
exports.EvamTabSearch = EvamTabSearch;
//# sourceMappingURL=EvamTabSearch.js.map