"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@chakra-ui/react");
const NotificationProvider_1 = require("./NotificationProvider");
const EvamApi_1 = require("../../../api/EvamApi");
const MapDrawer_1 = __importDefault(require("../../components/MapDrawer/MapDrawer"));
const FeatureFlags_1 = require("../FeatureFlags");
/**
 * The VehicleServicesDevelopmentEnvironment provides a notification environment for you to test sending notifications in vehicle services.
 * @param children the children of the component
 * @param showFullDeviceView will hide/show the map
 * @constructor
 */
const VehicleServicesDevelopmentEnvironment = ({ children, showFullDeviceView = false }) => {
    //just render the app (this is for if we accidentally leave the VehicleServicesDevelopmentEnvironment component in
    if (EvamApi_1.EvamApi.isRunningInVehicleServices)
        return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: children });
    return ((0, jsx_runtime_1.jsx)(FeatureFlags_1.FeatureFlagsContext.Provider, { value: {
            showFullDeviceView
        }, children: (0, jsx_runtime_1.jsx)(react_1.ChakraProvider, { disableGlobalStyle: true, children: (0, jsx_runtime_1.jsxs)(NotificationProvider_1.NotificationProvider, { children: [showFullDeviceView && (0, jsx_runtime_1.jsx)(MapDrawer_1.default, {}), children] }) }) }));
};
exports.default = VehicleServicesDevelopmentEnvironment;
//# sourceMappingURL=VehicleServicesDevelopmentEnvironment.js.map