"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DestinationControlPointLocation = void 0;
class DestinationControlPointLocation {
    /**
     * Location of a breakpoint
     * @param latitude Latitude in decimal degrees
     * @param longitude Longitude in decimal degrees
     * @param name Breakpoint name if available
     * @param additionalInfo Additional information if available
     */
    constructor(latitude, longitude, name, additionalInfo) {
        this.latitude = latitude;
        this.longitude = longitude;
        this.name = name;
        this.additionalInfo = additionalInfo;
    }
    /**
     * Create from JSON
     * @param loc JSON object
     */
    static fromJSON(loc) {
        if (loc.latitude === undefined || loc.longitude === undefined) {
            throw Error('latitude and longitude must be defined for DestinationControlPointLocation');
        }
        return new DestinationControlPointLocation(loc.latitude, loc.longitude, loc.name, loc.additionalInfo);
    }
}
exports.DestinationControlPointLocation = DestinationControlPointLocation;
//# sourceMappingURL=DestinationControlPointLocation.js.map