/**
 * data class LeavePatientLocation(
 *     override val locationType: LocationType = LocationType.LeavePatientSite,
 *     override val locationId: String,
 *     override val latitude: Double,
 *     override val longitude: Double,
 *     override val street: String?,
 *     override val locality: String?,
 *     override val municipality: String?,
 *     override val routeDirections: String?,
 *     val leaveTime: LocalDateTime?,
 * )
 */
declare class LeavePatientLocation {
    latitude: number;
    longitude: number;
    street: string | undefined;
    locality: string | undefined;
    municipality: string | undefined;
    routeDirections: string | undefined;
    leaveTime: string | undefined;
    /**
     * Location of a leave patient location
     * @param latitude Latitude in decimal degrees
     * @param longitude Longitude in decimal degrees
     * @param street The street name if available
     * @param locality The locality name if available
     * @param municipality The municipality name if available
     * @param routeDirections The route directions text if available
     * @param leaveTime the leave time of the patient
     */
    constructor(latitude: number, longitude: number, street: string | undefined, locality: string | undefined, municipality: string | undefined, routeDirections: string | undefined, leaveTime: string | undefined);
    /**
     * Create from JSON
     * @param loc JSON object
     */
    static fromJSON(loc: any): LeavePatientLocation;
}
export { LeavePatientLocation };
