"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Patient = void 0;
class Patient {
    /**
     * A patient
     * @param name name of the patient
     * @param uid unique identifier of the patient
     */
    constructor(name, uid) {
        this.name = name;
        this.uid = uid;
    }
    /**
     * Create from JSON
     * @param patient JSON object
     */
    static fromJSON(patient) {
        if (patient.name === undefined || patient.uid === undefined) {
            throw Error('name and uid must be declared in Patient');
        }
        return new Patient(patient.name, patient.uid);
    }
}
exports.Patient = Patient;
//# sourceMappingURL=Patient.js.map