"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RakelState = void 0;
class RakelState {
    /**
     * General information about the current Rakel radio state
     * @param issi The radio ISSI
     * @param msisdn The radio MSISDN
     * @param gssi The radio GSSI
     */
    constructor(msisdn, issi, gssi) {
        this.msisdn = msisdn;
        this.issi = issi;
        this.gssi = gssi;
    }
    /**
     * Create from JSON
     * @param data JSON object
     */
    static fromJSON(data) {
        return new RakelState(data === null || data === void 0 ? void 0 : data.msisdn, data === null || data === void 0 ? void 0 : data.issi, data === null || data === void 0 ? void 0 : data.gssi);
    }
}
exports.RakelState = RakelState;
//# sourceMappingURL=RakelState.js.map