import { EvamEvent } from "../domain";
/**
 * Low level method wrapper around document.addEventListener specifically for handling EvamEvents
 * @param eventName EvamEvent
 * @param listener callback
 */
declare function subscribe(eventName: EvamEvent, listener: EventListenerOrEventListenerObject): void;
/**
 * Low level method wrapper around document.removeEventListener specifically for handling EvamEvents
 * @param eventName EvamEvent
 * @param listener callback
 */
declare function unsubscribe(eventName: EvamEvent, listener: EventListenerOrEventListenerObject): void;
/**
 * Low level method wrapper around document.dispatchEvent specifically for handling EvamEvents
 * @param eventName EvamEvent
 * @param data data to be passed to the callback
 */
declare function publish(eventName: EvamEvent, data: any): void;
export { publish, subscribe, unsubscribe };
